runBioHMM {snapCGH} | R Documentation

## This function implements the BioHMM

### Description

This function reads in a dataset of log2 ratios and the corresponding clone and covariate information. It calculates a heterogeneous HMM when there are 1,2,3,4 or 5 underlying states and chooses betwen them using either the AIC or BIC. It then assigns clones using a modified version of the Viterbi algorithm.

### Usage

    runBioHMM(input, useCloneDists = TRUE, covariates, criteria="AIC", delta=NA
    ,var.fixed=FALSE, epsilon = 1e-06, numiter = 30000)

### Arguments

`input` | An object of class `MAList`or `SegList`
`useCloneDists` | Boolean stating whether the distance between clones should be incorportated into the HMM. If false then the HMM becomes homogeneous.
`covariates` | This is a dataframe containing information about covariate factors. The first two columns should be Chrom (giving the chromosome on which a clone is located) and Mb (giving the position of the chromosome along a particular chromosome in Megabases). The order should be the same as that described above with the following crucial difference. No covariate information about the first clone is used in the segmentation. Hence, for each chromosome, there should be one less row in the covariate dataframe than in the datainfo dataframe corresponding to this missing chromosome. This is important if the transition matrix is to be calculated correctly.
`criteria` | Options are AIC or BIC depending upon which we want to use to distinguish between the number of states
`delta` | A variable to be assigned if the BIC is used.
`var.fixed` | Logical variable - TRUE if you want to tie the variance to be the same across all states. Defaults to FALSE
`epsilon` | Stopping criterion for the optimization algorithm.
`numiter` | Number of iterations to be used in the optimization alogithm.

### Value

The model returns an object of class `SegList`.

### Author(s)

John Marioni and Mike Smith

### References

Marioni, J.C., Thorne, N.P., Tavar'e, S., BioHMM: a heterogeneous Hidden Markov Model for segmenting array CGH data, submitted

[Package snapCGH version 1.2.0 Index]